org.keycloak.models

## Interface UserLoginFailureProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    InfinispanUserLoginFailureProvider, MapUserLoginFailureProvider

      public interface UserLoginFailureProvider
      extends Provider

  Author:
    Martin Kanis

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserLoginFailureModel` | `addUserLoginFailure(RealmModel realm, String userId)` Adds a `UserLoginFailureModel` for the given realm and user id.
    `UserLoginFailureModel` | `getUserLoginFailure(RealmModel realm, String userId)` Returns the `UserLoginFailureModel` for the given realm and user id.
    `void` | `removeAllUserLoginFailures(RealmModel realm)` Removes all the `UserLoginFailureModel` for the given realm.
    `void` | `removeUserLoginFailure(RealmModel realm, String userId)` Removes a `UserLoginFailureModel` for the given realm and user id.

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### getUserLoginFailure

          UserLoginFailureModel getUserLoginFailure(RealmModel realm,
                                                    String userId)

      Returns the `UserLoginFailureModel` for the given realm and user id.
      Parameters:
        `realm` - `RealmModel`
        `userId` - `String` Id of the user.
      Returns:
        Returns the `UserLoginFailureModel` for the given realm and user id.

    - #### addUserLoginFailure

          UserLoginFailureModel addUserLoginFailure(RealmModel realm,
                                                    String userId)

      Adds a `UserLoginFailureModel` for the given realm and user id.
      Parameters:
        `realm` - `RealmModel`
        `userId` - `String` Id of the user.
      Returns:
        Returns newly created `UserLoginFailureModel`.

    - #### removeUserLoginFailure

          void removeUserLoginFailure(RealmModel realm,
                                      String userId)

      Removes a `UserLoginFailureModel` for the given realm and user id.
      Parameters:
        `realm` - `RealmModel`
        `userId` - `String` Id of the user.

    - #### removeAllUserLoginFailures

          void removeAllUserLoginFailures(RealmModel realm)

      Removes all the `UserLoginFailureModel` for the given realm.
      Parameters:
        `realm` - `RealmModel`

Copyright © 2021 JBoss by Red Hat. All rights reserved.